Compile node module with node-gyp for a specific NODE_MODULE_VERSION

120
January 28, 2022, at 02:10 AM

I am trying to use an npm package fsuipc in an electron app. However, when I start the app I get the following error

The module 'node_modules\fsuipc\build\Release\fsuipc.node'
was compiled against a different Node.js version using
NODE_MODULE_VERSION 93. This version of Node.js requires
NODE_MODULE_VERSION 98.

I am trying to recompile it for version 98. I have 0 experience with node-gyp or similar, I just want it to work :(. I have tried doing node-gyp build --target=v16.13.1 but it still compiles to this mysterious version 93 which I can't seem to change. Any help is appreciated.

READ ALSO
Replacement of com.android.build.api.transform.Transform classes

Replacement of com.android.build.api.transform.Transform classes

I could see in the android document that Transform classes are deprecated but I could not see the new API which we should use instead of Transform classes

114
How to select an entry from a MySQL database by searching for a case-sensitive username

How to select an entry from a MySQL database by searching for a case-sensitive username

I have set up a MySQL database and created a login table using MySQL WorkbenchI am using a MySQL 8

90
Content/map is undefined

Content/map is undefined

Let's say I have this:

86
springboot mvc log request body string(in Filter) before RestController

springboot mvc log request body string(in Filter) before RestController

I know basics of springboot mvc but don't well understand how the underlying classes work(such as Servlet, Intercepters, Filters)Searched but didn't find answer

66